Package org.bukkit.event.player

# Class PlayerItemDamageEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerItemDamageEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerItemDamageEvent extends PlayerEvent implements Cancellable
Called when an item used by the player takes durability damage as a result of being used.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerItemDamageEvent(@NotNull Player player, @NotNull ItemStack what, int damage)`
Deprecated.
`PlayerItemDamageEvent(@NotNull Player player, @NotNull ItemStack what, int damage, int originalDamage)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDamage()`
Gets the amount of durability damage this item will be taking.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItem()`
Gets the item being damaged.
`int`
`getOriginalDamage()`
Gets the amount of durability damage this item would have taken before the Unbreaking reduction.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setDamage(int damage)`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerItemDamageEvent

@Deprecated public PlayerItemDamageEvent(@NotNull @NotNull Player player, @NotNull @NotNull ItemStack what, int damage)
Deprecated.

### PlayerItemDamageEvent

public PlayerItemDamageEvent(@NotNull @NotNull Player player, @NotNull @NotNull ItemStack what, int damage, int originalDamage)

## Method Details

### getItem

@NotNull public @NotNull ItemStack getItem()
Gets the item being damaged.

Returns:
  the item

### getDamage

public int getDamage()
Gets the amount of durability damage this item will be taking.

Returns:
  durability change

### getOriginalDamage

public int getOriginalDamage()
Gets the amount of durability damage this item would have taken before the Unbreaking reduction. If the item has no Unbreaking level then this value will be the same as the `getDamage()` value.

Returns:
  pre-reduction damage amount

### setDamage

public void setDamage(int damage)

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()